Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.concurrent
Class SessionInformation

    java.lang.Object
      org.acegisecurity.concurrent.SessionInformation

    public class SessionInformation

extends Object

Represents a record of a session within the Acegi Security framework.

This is primarily used for concurrent session support.

Sessions have three states: active, expired, and destroyed. A session can that is invalidated by `session.invalidate()` or via Servlet Container management is considered "destroyed". An "expired" session, on the other hand, is a session that Acegi Security wants to end because it was selected for removal for some reason (generally as it was the least recently used session and the maximum sessions for the user were reached). An "expired" session is removed as soon as possible by a `Filter`.

Version:
  $Id: SessionInformation.java,v 1.2 2005/11/17 00:55:56 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`SessionInformation(Object principal, String sessionId, Date lastRequest)`

Method Summary
`void` | `expireNow()`
`Date` | `getLastRequest()`
`Object` | `getPrincipal()`
`String` | `getSessionId()`
`boolean` | `isExpired()`
`void` | `refreshLastRequest()` Refreshes the internal lastRequest to the current date and time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionInformation

    public SessionInformation(Object principal,
                              String sessionId,
                              Date lastRequest)

Method Detail

### isExpired

    public boolean isExpired()

### getLastRequest

    public Date getLastRequest()

### getPrincipal

    public Object getPrincipal()

### getSessionId

    public String getSessionId()

### expireNow

    public void expireNow()

### refreshLastRequest

    public void refreshLastRequest()

  Refreshes the internal lastRequest to the current date and time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.